Get Blocks Validated by Address
GET
/blockscout/addresses/{address_hash}/blocks-validated
Path Parameters
address_hash
string
required
path
Address hash
Responses
200
Address
application/jsonitems
object[]
REQUIRED
Array of:
base_fee_per_gas
string
REQUIRED
burnt_fees
string
REQUIRED
burnt_fees_percentage
number
REQUIRED
difficulty
string
REQUIRED
extra_data
string
REQUIRED
gas_limit
string
REQUIRED
gas_target_percentage
number
REQUIRED
gas_used
string
REQUIRED
gas_used_percentage
number
REQUIRED
hash
string
REQUIRED
height
integer
REQUIRED
miner
object
REQUIRED
hash
string
REQUIRED
implementation_name
string
REQUIRED
name
string
REQUIRED
ens_domain_name
string
metadata
object
is_contract
boolean
REQUIRED
private_tags
object[]
REQUIRED
Array of:
address_hash
string
REQUIRED
display_name
string
REQUIRED
label
string
REQUIRED
watchlist_names
object[]
REQUIRED
Array of:
display_name
string
REQUIRED
label
string
REQUIRED
public_tags
object[]
REQUIRED
Array of:
address_hash
string
REQUIRED
display_name
string
REQUIRED
label
string
REQUIRED
is_verified
boolean
REQUIRED
nonce
string
REQUIRED
parent_hash
string
REQUIRED
priority_fee
string
REQUIRED
rewards
object[]
REQUIRED
Array of:
reward
integer
REQUIRED
type
string
REQUIRED
size
integer
REQUIRED
state_root
string
REQUIRED
timestamp
string
REQUIRED
total_difficulty
string
REQUIRED
transaction_count
integer
REQUIRED
transaction_fees
string
REQUIRED
type
string
REQUIRED
uncles_hashes
string[]
REQUIRED
Array of:
withdrawals_count
integer
REQUIRED
next_page_params
object
REQUIRED
400
Bad Input Parameter
curl -X GET 'https://data-api.b3.fun//blockscout/addresses/string/blocks-validated'
const response = await fetch('https://data-api.b3.fun//blockscout/addresses/string/blocks-validated', {
method: 'GET'
});
const data = await response.json();
console.log(data);
import requests
response = requests.get('https://data-api.b3.fun//blockscout/addresses/string/blocks-validated')
print(response.json())
200
Response
{
"items": [
{
"base_fee_per_gas": "26618801760",
"burnt_fees": "261263193229977120",
"burnt_fees_percentage": 85.19028810863084,
"difficulty": "0",
"extra_data": "TODO",
"gas_limit": "30000000",
"gas_target_percentage": -34.56675333333333,
"gas_used": "9814987",
"gas_used_percentage": 32.71662333333333,
"hash": "0xf569ec751152b2f814001fc730f7797aa155e4bc3ba9cb6ba24bc2c8c9468c1a",
"height": 17615720,
"miner": {
"hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad",
"implementation_name": "implementationName",
"name": "contractName",
"ens_domain_name": "domain.eth",
"metadata": {
"slug": "tag_slug",
"name": "Tag name",
"tagType": "name",
"ordinal": 0,
"meta": {}
},
"is_contract": true,
"private_tags": [
{
"address_hash": {},
"display_name": {},
"label": {}
}
],
"watchlist_names": [
{
"display_name": {},
"label": {}
}
],
"public_tags": [
{
"address_hash": {},
"display_name": {},
"label": {}
}
],
"is_verified": true
},
"nonce": "0x0000000000000000",
"parent_hash": "0xd464e02d81e2bdf6bc5fa9b8e33f0b564c464a82d821a3e56531f8636dc00dfa",
"priority_fee": "45418705646601378",
"rewards": [
{
"reward": 123,
"type": "Miner Reward | Emission Reward | Chore Reward | Uncle Reward"
}
],
"size": 49997,
"state_root": "TODO",
"timestamp": "2023-07-03T20:09:59.000000Z",
"total_difficulty": "58750003716598352816469",
"transaction_count": 120,
"transaction_fees": "306681898876578498",
"type": "block",
"uncles_hashes": [
"0x1dcc4de8dec75d7aab85b567b6ccd41ad312451b948a7413f0a142fd40d49347"
],
"withdrawals_count": 16
}
],
"next_page_params": {
"block_number": 27736955,
"items_count": 50
}
}
GET
/blockscout/addresses/{address_hash}/blocks-validated